<? require_once 'auth.php';
			global $adodb;
			$rs2 = $adodb->Execute("SELECT * FROM ".$this->tb." ".
			" WHERE ".$this->key." = ?", $this->rec);
			//$adodb->debug = 1;
			$sql = "UPDATE fm_ahr_report SET 
  Bemerkung = [Bemerkung], 
  Bemerkung_2 = [Bemerkung_2], 
  Bearbeitet = [Bearbeitet], 
  Mahnen = [Mahnen], 
  Wiedervorlage = [Wiedervorlage], 
  User = [User],  
  Aenderungsdatum =[Aenderungsdatum], 
  Aenderungsdatum_u2 = [Aenderungsdatum_u2], 
  User_2 = [User_2], 
  Versicherung = [Versicherung],
  Rechtsanwalt = [Rechtsanwalt],
  Reklamation = [Reklamation], 
  Selbstbeteiligung = [Selbstbeteiligung], 
  SelbstbeteiligungBetrag = [SelbstbeteiligungBetrag], 
  Mwst = [Mwst], 
  MwstBetrag = [MwstBetrag] 
WHERE FAGNR = [FAGNR] 
  AND O500_BELEGNR1 = [O500_BELEGNR1] 
  AND OPDAT = [OPDAT]
  AND Reserve_1 = [Reserve_1];
";
			$p = explode(';', $sql);
			foreach ($p as $key => $sql) {
				$sql = trim($sql);
				if (!$sql) continue;
				if ($rs2->EOF) continue;
				foreach ($rs2->fields as $k => $v) {
					$v = addslashes($v);
					$sql = str_replace('['.$k.']', "'$v'", $sql);
				}
				$rs = $adodb->Execute($sql);
				if (!$rs) echo $adodb->ErrorMsg();
			}
			$adodb->debug = 0;
			?>